Requisitos del sistema y compatibilidad

Requisitos

  • Mínimo 1 GB de RAM.
  • Versión 92 de Microsoft Edge WebView2 Runtime o una posterior.

    Nota:

    A partir de la versión 2107, el instalador de Microsoft Edge WebView2 Runtime se empaqueta con el instalador de la aplicación Citrix Workspace. Durante la instalación de la aplicación Workspace, el instalador comprueba si Microsoft Edge WebView2 Runtime está presente en el sistema y, si no lo encuentra, lo instala.

  • Self-Service Plug-in requiere .NET 4.8. Permite suscribirse e iniciar aplicaciones y escritorios desde la línea de comandos o la interfaz de usuario de la aplicación Workspace. Para obtener más información, consulte Usar parámetros de línea de comandos.

    Al intentar instalar o actualizar la versión de la aplicación Citrix Workspace a la versión 1904 o a una posterior y la versión requerida de .NET Framework no está disponible en su sistema Windows, el instalador de la aplicación Citrix Workspace descarga e instala la versión requerida de .NET Framework.

    Nota:

    Se produce un error en la instalación al intentar instalar o actualizar la versión de la aplicación Citrix Workspace con privilegios que no son de administrador y .NET Framework 4.8 o una versión más reciente no está presente en el sistema.

  • La versión más reciente de Microsoft Visual C++ Redistributable.

    Nota:

    Citrix recomienda utilizar la versión más reciente de Microsoft Visual C++ Redistributable. De lo contrario, es posible que aparezca un mensaje de reinicio durante la actualización de versiones.

    A partir de la versión 1904, el instalador de Microsoft Visual C++ Redistributable se empaqueta con el instalador de la aplicación Citrix Workspace. Durante la instalación de la aplicación Workspace, el instalador comprueba si el paquete de Microsoft Visual C++ Redistributable está presente en el sistema y lo instala si es necesario.

    Nota:

    Si el paquete de Microsoft Visual C++ Redistributable no existe en el sistema, es posible que falle la instalación de la aplicación Citrix Workspace con privilegios que no son de administrador.

    Solamente un administrador puede instalar el paquete Microsoft Visual C++ Redistributable.

    Para solucionar problemas con la instalación de .NET Framework o Microsoft Visual C++ Redistributable, consulte el artículo CTX250044 de Citrix Knowledge Center.

Nota:

Debe tener conexión a Internet para descargar e instalar Microsoft Edge WebView2 Runtime, .NET Framework y Microsoft Visual C++ Redistributable. De lo contrario, el administrador puede instalar estos requisitos mediante un método de implementación, como, por ejemplo, SCCM.

Tabla de compatibilidad

La aplicación Citrix Workspace es compatible con todas las versiones actualmente compatibles de Citrix Virtual Apps and Desktops, Citrix DaaS (anteriormente Citrix Virtual Apps and Desktops Service) y Citrix Gateway, según se indica en la tabla Citrix Product Lifecycle Matrix.

La aplicación Citrix Workspace para Windows es compatible con los siguientes sistemas operativos Windows:

Nota:

  • La aplicación Citrix Workspace 2203.1 LTSR para Windows es la última versión compatible con los siguientes sistemas operativos:
    • Windows 8.1
    • Windows Server 2012 R2
  • La compatibilidad con Windows 7 ha dejado de ofrecerse a partir de la versión 2006.
  • El plug-in del análisis de punto final (EPA) de Citrix Gateway está disponible en Citrix Workspace. En la aplicación nativa de Citrix Workspace, solo se ofrece al utilizar la autenticación nFactor. Para obtener más información, consulte Configure pre-auth and post-auth EPA scan as a factor in nFactor authentication en la documentación de Citrix ADC.
Sistema operativo
Windows 11
Windows 10 Enterprise (ediciones de 32 y 64 bits). Para obtener más información sobre las versiones compatibles de Windows 10, consulte Compatibilidad de Windows 10 con la aplicación Citrix Workspace para Windows.
Compatibilidad con Windows 10 Enterprise (LTSC 2021) a partir de la versión 2203.1 LTSR CU1
Windows 10 Enterprise (2016 LTSB 1607, LTSC 2019)
Windows 10 (Home Edition*, Pro)
Windows Server 2022
Windows Server 2019
Windows Server 2016

*No se admite la autenticación PassThrough de dominio, Desktop Lock, la API de FastConnect ni configuraciones que requieran una máquina Windows unida a un dominio.

Compatibilidad de Windows 10 u 11 con la aplicación Citrix Workspace para Windows

Con el sistema operativo Windows 10, Microsoft presentó una nueva forma de crear, implementar y ofrecer servicios a Windows: Windows como servicio. Las nuevas funciones se empaquetan en Actualizaciones de funciones (versiones principales como 20H2, 21H1 o 21H2). Las correcciones de errores y de seguridad se empaquetan en Actualizaciones de calidad. Estas actualizaciones que se pueden implementar mediante herramientas de administración existentes como SCCM.

Nota:

  • No se recomienda instalar versiones de software de Citrix anteriores a la versión del Canal semianual.
  • Una vez que una versión de Windows 10 haya alcanzado la finalización del servicio, Microsoft ya no ofrece desarrollo adicional ni servicios para dicha versión. Citrix ofrece asistencia para su software solamente en sistemas operativos que su fabricante siga manteniendo. Para obtener información sobre la finalización del servicio de Windows 10, consulte las Preguntas frecuentes sobre el ciclo de vida: Windows de Microsoft.

En esta tabla, se muestra el número de la versión de Windows 10 y las correspondientes versiones compatibles de la aplicación Citrix Workspace para Windows.

Número de versión de Windows 10 Número de compilación Versión de la aplicación Citrix Workspace
22H2 19045 2203.1 CU1 y versiones posteriores
21H2 19044 2112.1 y versiones posteriores
21H1 19043.928 2106 y versiones posteriores
20H2 19042.508 2012 y versiones posteriores
2004 19041.113 2006.1 y versiones posteriores
1909 18363.418 1911 y versiones posteriores
1903 18362.116 1909 y versiones posteriores
1809 17763.107 1812 y versiones posteriores
1803 17134.376 1808 y versiones posteriores

Nota:

Las versiones de Windows 10 son compatibles solamente con las versiones mencionadas de la aplicación Citrix Workspace. Por ejemplo, la versión 21H1 de Windows 10 no es compatible con la versión anterior a 2106.

En esta tabla, se muestra el número de la versión de Windows 11 y las correspondientes versiones compatibles de la aplicación Citrix Workspace para Windows.

Número de versión de Windows 11 Número de compilación Versión de la aplicación Citrix Workspace
22H2 22621 2203.1 CU1 y versiones posteriores
21H2 22000 2203.1 y versiones posteriores

Validar el espacio libre en disco

En la tabla siguiente se indica el espacio necesario en el disco para instalar la aplicación Citrix Workspace.

Tipo de instalación Espacio de disco requerido
Instalación nueva 572 MB
Actualización de versión 350 MB

La aplicación Citrix Workspace comprueba el espacio en disco necesario para completar la instalación. La verificación se lleva a cabo tanto si se trata de una instalación nueva como si es una actualización.

Nota:

  • El instalador solo lleva a cabo la comprobación de espacio en el disco después de haberse extraído el paquete de instalación.
  • Cuando el sistema tiene poco espacio en el disco y la instalación es silenciosa, no aparece el cuadro de diálogo, pero se registra el mensaje de error en CTXInstall\_TrolleyExpress-\*.log.

Conexiones, certificados y autenticación

Conexiones

  • Almacén HTTP
  • Almacén HTTPS
  • Citrix Gateway 10.5 y versiones posteriores

Certificados

Nota:

La aplicación Citrix Workspace para Windows está firmada digitalmente. La firma digital contiene una marca de tiempo. Por lo tanto, el certificado es válido incluso después de haber caducado.

  • Privados (autofirmados)
  • Raíz
  • Carácter comodín
  • Intermedios

Certificados privados (autofirmados)

Si existe un certificado privado en la puerta de enlace remota, instale el certificado raíz de la entidad de certificación de la organización en el dispositivo de usuario que accede a los recursos de Citrix.

Nota:

Si el certificado de la puerta de enlace remota no se puede verificar durante la conexión, aparece una advertencia de certificado que no es de confianza. Esta advertencia aparece cuando falta el certificado raíz en el almacén de claves local. Cuando un usuario elige ignorar la advertencia y continuar con la conexión, se muestran las aplicaciones, pero no se pueden iniciar.

Certificados raíz

Para equipos unidos a dominios, puede utilizar una plantilla administrativa de objeto de directiva de grupo para distribuir y configurar la confianza en los certificados de la CA.

Para equipos que no están unidos a un dominio, la organización puede crear un paquete de instalación personalizado para distribuir e instalar el certificado de la CA. Póngase en contacto con el administrador del sistema para recibir ayuda.

Certificados comodín

Se usan certificados comodín en un servidor dentro del mismo dominio.

La aplicación Citrix Workspace admite certificados comodín. Use certificados comodín de acuerdo con la directiva de seguridad de su organización. Una alternativa a los certificados comodín es un certificado que contenga la lista de nombres de servidor con la extensión del nombre alternativo del sujeto (SAN). Las entidades de certificación privadas o públicas emiten esos certificados.

Certificados intermedios

Si la cadena de certificados incluye un certificado intermedio, deberá agregar este certificado al certificado del servidor de Citrix Gateway. Para obtener información, consulte Configurar certificados intermedios.

Autenticación

Autenticación en StoreFront

  Workspace para Web Sitio de servicios de StoreFront (nativo) StoreFront, Citrix Virtual Apps and Desktops (nativo), Citrix DaaS De Citrix Gateway a Workspace para Web Citrix Gateway en el sitio de StoreFront Services (nativo)
Anónimo      
Dominio Sí* Sí*
PassThrough de dominio    
Token de seguridad       Sí* Sí*
Autenticación de dos factores (dominio con token de seguridad)       Sí* Sí*
SMS       Sí* Sí*
Tarjeta inteligente  
Certificado de usuario       Sí (plug-in de Citrix Gateway) Sí (plug-in de Citrix Gateway)

* Con o sin el plug-in de Citrix Gateway instalado en el dispositivo.

Nota:

La aplicación Citrix Workspace admite la autenticación de dos factores (dominio y token de seguridad) a través de Citrix Gateway en el servicio nativo de StoreFront.

Lista de revocación de certificados

La lista de revocación de certificados (CRL) permite a la aplicación Citrix Workspace comprobar si el certificado del servidor está revocado. La comprobación del certificado mejora la autenticación criptográfica del servidor y la seguridad general de la conexión TLS entre el dispositivo de usuario y un servidor.

La comprobación de la revocación de certificados (CRL) se puede habilitar en varios niveles. Por ejemplo, es posible configurar la aplicación Citrix Workspace para que verifique solo la lista local de certificados, o para que verifique las listas de certificados locales y de red. También puede configurar la verificación de certificados para permitir que los usuarios inicien sesiones solo cuando se verifiquen todas las listas de revocación de certificados.

Si quiere configurar la comprobación de certificados en su equipo local, cierre la aplicación Citrix Workspace. Compruebe que todos los componentes de Citrix Workspace, incluida la Central de conexiones, estén cerrados.

Para obtener más información, consulte Transport Layer Security.

Requisitos del sistema y compatibilidad